Get connection
curl --request GET \
--url https://dev.bringin.xyz/api/v0/bringin-link/{id} \
--header 'api-key: <api-key>'import requests
url = "https://dev.bringin.xyz/api/v0/bringin-link/{id}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://dev.bringin.xyz/api/v0/bringin-link/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bringinLink": {
"id": "a8558b90-6a87-4c81-a767-9725d5a23a45",
"name": "Blue Wallet",
"type": "FIAT_TO_CRYPTO",
"subtype": "ONCHAIN",
"status": "ACTIVE",
"createdAt": "2026-03-24T08:31:53.143Z",
"updatedAt": "2026-03-24T08:34:08.077Z"
},
"standingOrder": {
"id": "a5b03095-f4ad-4a10-8970-4c63de5a49a9",
"status": "ACTIVE",
"direction": "FIAT_TO_CRYPTO",
"sourceCurrency": "EUR",
"destinationCurrency": "BTC",
"percentFeeBps": "1",
"createdAt": "2026-03-24T08:33:18.366Z",
"updatedAt": "2026-03-24T08:34:08.070Z"
},
"depositIban": "MT89CFTE28004000000000005933984",
"destinationAddress": "bc1q8959qzk0wmhpkvf37mudeatw9kx69wazltey53"
}
Connections
Get connection
GET
/
api
/
v0
/
bringin-link
/
{id}
Get connection
Get a specific connection with its standing order details, deposit info, and OTP challenge. This is the primary polling endpoint during connection creation.
Requires a per-user api-key.
string
required
The BringinLink ID (from the 202 creation response)
{
"bringinLink": {
"id": "a8558b90-6a87-4c81-a767-9725d5a23a45",
"name": "Blue Wallet",
"type": "FIAT_TO_CRYPTO",
"subtype": "ONCHAIN",
"status": "ACTIVE",
"createdAt": "2026-03-24T08:31:53.143Z",
"updatedAt": "2026-03-24T08:34:08.077Z"
},
"standingOrder": {
"id": "a5b03095-f4ad-4a10-8970-4c63de5a49a9",
"status": "ACTIVE",
"direction": "FIAT_TO_CRYPTO",
"sourceCurrency": "EUR",
"destinationCurrency": "BTC",
"percentFeeBps": "1",
"createdAt": "2026-03-24T08:33:18.366Z",
"updatedAt": "2026-03-24T08:34:08.070Z"
},
"depositIban": "MT89CFTE28004000000000005933984",
"destinationAddress": "bc1q8959qzk0wmhpkvf37mudeatw9kx69wazltey53"
}
Response fields
| Field | Description |
|---|---|
standingOrder | null during INITIATING or if creation failed before standing order was created |
challengeId | Only present when standingOrder.status is PENDING_CONFIRMATION — use it to confirm OTP |
challengeExpiresAt | When the OTP challenge expires (only present during PENDING_CONFIRMATION) |
percentFeeBps | Fee in basis points (e.g., "150" = 1.5%) |
Contextual fields by connection type
| Type + Subtype | Source Field | Destination Field |
|---|---|---|
FIAT_TO_CRYPTO + ONCHAIN | depositIban (SEPA deposit IBAN) | destinationAddress (crypto address) |
CRYPTO_TO_FIAT + ONCHAIN | depositAddress (on-chain deposit address) | destinationIban (beneficiary IBAN) |
CRYPTO_TO_FIAT + LN | lnAddress (e.g., alice@bringin.xyz) | destinationIban (beneficiary IBAN) |
Response by status
| Status | standingOrder | Contextual fields | error |
|---|---|---|---|
INITIATING | null | Not available | — |
PENDING | Present with challengeId | Available | — |
ACTIVE | Present | Available | — |
FAILED | null or partial | May be partial | Present |
EXPIRED | Present | Available | — |
INACTIVE | Present | Available | — |
⌘I